#ifndef UTILS3D_H
#define UTILS3D_H

#include "utils.h"

#include "fixedpoint\\fixed_class.h"
#include "fixedpoint\\fixed_func.h"
#include "fixedpoint\\stdint.h"
#include "fixedpoint\\vector_math.h"

using namespace vmath;
using namespace fixedpoint;

#define FIXED_DECAL        16
typedef fixed_point<FIXED_DECAL> fixed_t;

typedef vec2<fixed_t> vec2x;
typedef vec3<fixed_t> vec3x;
typedef vec4<fixed_t> vec4x;
typedef mat4<fixed_t> mat4x;

#define FIXED(a) fixed_t(a)

#endif
